Ubuntu

installing boinc-client requires too much dependencies

Reported by Ace Suares on 2012-07-08
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
boinc (Ubuntu)
Medium
Unassigned

Bug Description

On a personal server with no X environment installed. I am wondering at some of the dependencies of the boinc-client package. One in particular that comes to mind is "bluetooth"... why is that a dependency? I can understand the i386 libraries... it does however seem there are a quite a few extra packages in there. Perhaps I am ignorant to some of the needs of various projects out there. If that is the case... cool! Let me know. Thank you.

Here is the search for boinc packages on "packages.ubuntu.com"
http://packages.ubuntu.com/search?keywords=boinc&searchon=names&suite=precise&section=all

Here are the BOINC system requirements
http://boinc.berkeley.edu/wiki/System_requirements

The following is the full output of "apt-get install boinc-client" and my abortion of the process.

root@sf:~# apt-get install boinc-client
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  acl bluez bluez-alsa:i386 consolekit cryptsetup-bin dbus-x11
  dconf-gsettings-backend dconf-service defoma esound-common gcc-4.6-base:i386
  gconf-service gconf2 gconf2-common glib-networking glib-networking:i386
  glib-networking-common glib-networking-services gsettings-desktop-schemas
  gstreamer0.10-fluendo-mp3:i386 gstreamer0.10-plugins-base:i386
  gstreamer0.10-plugins-good:i386 gstreamer0.10-x:i386 gtk2-engines:i386
  gtk2-engines-murrine:i386 gtk2-engines-oxygen:i386 gtk2-engines-pixbuf:i386
  gvfs gvfs:i386 gvfs-common gvfs-daemons gvfs-libs gvfs-libs:i386
  hicolor-icon-theme ia32-libs ia32-libs-multiarch:i386 ibus-gtk:i386
  libaa1:i386 libacl1:i386 libaio1:i386 libao-common libao4:i386
  libasn1-8-heimdal:i386 libasound2:i386 libasound2-plugins:i386
  libasyncns0:i386 libatasmart4 libatk1.0-0 libatk1.0-0:i386 libatk1.0-data
  libattr1:i386 libaudio2:i386 libaudiofile1:i386 libavahi-client3:i386
  libavahi-common-data:i386 libavahi-common3:i386 libavc1394-0:i386
  libbz2-1.0:i386 libc6:i386 libcaca0:i386 libcairo-gobject2
  libcairo-gobject2:i386 libcairo2 libcairo2:i386 libcanberra-gtk-module:i386
  libcanberra-gtk0:i386 libcanberra0:i386 libcap2:i386 libcapi20-3:i386
  libcdparanoia0:i386 libck-connector0 libcomerr2:i386 libcroco3:i386
  libcryptsetup4 libcups2:i386 libcupsimage2:i386 libcurl3:i386 libdatrie1
  libdatrie1:i386 libdb5.1:i386 libdbus-1-3:i386 libdbus-glib-1-2:i386
  libdconf0 libdrm-intel1:i386 libdrm-nouveau1a:i386 libdrm-radeon1:i386
  libdrm2:i386 libdv4:i386 libesd0:i386 libexif12:i386 libexpat1:i386
  libffi6:i386 libflac8:i386 libfontconfig1:i386 libfontenc1 libfreetype6:i386
  libgail-common:i386 libgail18:i386 libgcc1:i386 libgconf-2-4
  libgcrypt11:i386 libgd2-xpm:i386 libgdbm3:i386 libgdk-pixbuf2.0-0
  libgdk-pixbuf2.0-0:i386 libgdk-pixbuf2.0-common libgdu0 libgettextpo0:i386
  libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386
  libglib2.0-0:i386 libglib2.0-data libglu1-mesa:i386 libgnome-keyring-common
  libgnome-keyring0 libgnome-keyring0:i386 libgnutls26:i386 libgomp1:i386
  libgpg-error0:i386 libgphoto2-2:i386 libgphoto2-l10n libgphoto2-port0:i386
  libgpm2:i386 libgssapi-krb5-2:i386 libgssapi3-heimdal:i386
  libgstreamer-plugins-base0.10-0:i386 libgstreamer0.10-0:i386 libgtk-3-0
  libgtk-3-bin libgtk-3-common libgtk2.0-0 libgtk2.0-0:i386 libgtk2.0-bin
  libgtk2.0-common libgudev-1.0-0 libgudev-1.0-0:i386 libhcrypto4-heimdal:i386
  libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhx509-5-heimdal:i386
  libibus-1.0-0:i386 libice6:i386 libidn11:i386 libiec61883-0:i386
  libieee1284-3:i386 libjack-jackd2-0:i386 libjasper1 libjasper1:i386
  libjpeg-turbo8:i386 libjpeg8:i386 libjson0:i386 libk5crypto3:i386
  libkeyutils1:i386 libkrb5-26-heimdal:i386 libkrb5-3:i386
  libkrb5support0:i386 liblcms1:i386 libldap-2.4-2:i386 libllvm3.0:i386
  libltdl7 libltdl7:i386 liblvm2app2.2 libmad0:i386 libmikmod2:i386
  libmng1:i386 libmpg123-0:i386 libmysqlclient18:i386 libncurses5:i386
  libncursesw5:i386 libnspr4:i386 libnss3:i386 libodbc1:i386 libogg0:i386
  liboil0.3:i386 libopenal-data libopenal1:i386 liborc-0.4-0:i386
  libp11-kit0:i386 libpam-ck-connector libpango1.0-0 libpango1.0-0:i386
  libpciaccess0:i386 libpcre3:i386 libpixman-1-0 libpixman-1-0:i386
  libpng12-0:i386 libpolkit-agent-1-0 libpolkit-backend-1-0 libproxy1
  libproxy1:i386 libpulse-mainloop-glib0:i386 libpulse0:i386 libpulsedsp:i386
  libqt4-dbus:i386 libqt4-declarative:i386 libqt4-designer:i386
  libqt4-network:i386 libqt4-opengl:i386 libqt4-qt3support:i386
  libqt4-script:i386 libqt4-scripttools:i386 libqt4-sql:i386
  libqt4-sql-mysql:i386 libqt4-svg:i386 libqt4-test:i386 libqt4-xml:i386
  libqt4-xmlpatterns:i386 libqtcore4:i386 libqtgui4:i386 libqtwebkit4:i386
  libraw1394-11:i386 libroken18-heimdal:i386 librsvg2-2:i386
  librsvg2-common:i386 librtmp0:i386 libsamplerate0:i386 libsane:i386
  libsane-common libsasl2-2:i386 libsasl2-modules:i386 libsdl-image1.2:i386
  libsdl-mixer1.2:i386 libsdl-net1.2:i386 libsdl-ttf2.0-0:i386
  libsdl1.2debian:i386 libselinux1:i386 libsgutils2-2 libshout3:i386
  libslang2:i386 libsm6:i386 libsndfile1:i386 libsoup-gnome2.4-1:i386
  libsoup2.4-1:i386 libspeex1:i386 libspeexdsp1:i386 libsqlite3-0:i386
  libssl0.9.8:i386 libssl1.0.0:i386 libstdc++5:i386 libstdc++6:i386
  libtag1-vanilla:i386 libtag1c2a:i386 libtasn1-3:i386 libtdb1:i386
  libthai-data libthai0 libthai0:i386 libtheora0:i386 libtiff4:i386
  libtinfo5:i386 libudev0:i386 libunistring0:i386 libusb-0.1-4:i386
  libuuid1:i386 libv4l-0:i386 libv4lconvert0:i386 libvisual-0.4-0:i386
  libvisual-0.4-plugins:i386 libvorbis0a:i386 libvorbisenc2:i386
  libvorbisfile3:i386 libwavpack1:i386 libwind0-heimdal:i386 libwrap0:i386
  libx11-6:i386 libx11-xcb1:i386 libxau6:i386 libxaw7 libxaw7:i386
  libxcb-glx0:i386 libxcb-render0 libxcb-render0:i386 libxcb-shape0
  libxcb-shm0 libxcb-shm0:i386 libxcb1:i386 libxcomposite1 libxcomposite1:i386
  libxcursor1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386
  libxfixes3:i386 libxfont1 libxft2 libxft2:i386 libxi6:i386 libxinerama1:i386
  libxml2:i386 libxmu6:i386 libxp6:i386 libxpm4 libxpm4:i386 libxrandr2
  libxrandr2:i386 libxrender1:i386 libxslt1.1:i386 libxss1 libxss1:i386
  libxt6:i386 libxtst6 libxv1 libxv1:i386 libxxf86dga1 libxxf86vm1:i386 mtools
  ntfsprogs odbcinst odbcinst1debian2 odbcinst1debian2:i386 oss-compat
  policykit-1 policykit-1-gnome python-gobject python-gobject-2
  shared-mime-info sound-theme-freedesktop udisks x-ttcidfont-conf x11-utils
  xaw3dg:i386 xfonts-encodings xfonts-utils zlib1g:i386
Suggested packages:
  boinc-app-seti boinc-manager x11-xserver-utils libcuda1 libcuda1-ia32
  defoma-doc psfontmgr libfont-freetype-perl gconf-defaults-service
  murrine-themes:i386 kde-config-gtk-style:i386 gvfs-backends
  gvfs-backends:i386 libpam-ldap:i386 libpam-winbind:i386 libnss-ldap:i386
  libroar1:i386 libsndio0:i386 roaraudio-server:i386 libasound2-python:i386
  nas:i386 glibc-doc:i386 locales:i386 libcanberra-pulse:i386 cups-common:i386
  libdv-bin:i386 oss-compat:i386 pulseaudio-esound-compat:i386 rng-tools:i386
  libgd-tools:i386 libglide3:i386 gnome-keyring gnome-keyring:i386
  gnutls-bin:i386 gphoto2:i386 gtkam:i386 gpm:i386 krb5-doc:i386
  krb5-user:i386 gstreamer-codec-install:i386 gnome-codec-install:i386
  gstreamer0.10-tools:i386 librsvg2-common jackd2:i386 libjasper-runtime
  libjasper-runtime:i386 liblcms-utils:i386 libmyodbc:i386
  odbc-postgresql:i386 tdsodbc:i386 unixodbc-bin:i386 ttf-baekmuk
  ttf-arphic-gbsn00lp ttf-arphic-bsmi00lp ttf-arphic-gkai00mp
  ttf-arphic-bkai00mp ttf-baekmuk:i386 ttf-arphic-gbsn00lp:i386
  ttf-arphic-bsmi00lp:i386 ttf-arphic-gkai00mp:i386 ttf-arphic-bkai00mp:i386
  pulseaudio:i386 libqt4-declarative-folderlistmodel:i386
  libqt4-declarative-gestures:i386 libqt4-declarative-particles:i386
  libqt4-declarative-shaders:i386 qt4-qmlviewer:i386 libqt4-dev:i386
  qt4-qtconfig:i386 libraw1394-doc:i386 librsvg2-bin:i386 avahi-daemon:i386
  hpoj:i386 hplip:i386 libsane-extras:i386 sane-utils:i386
  libsasl2-modules-otp:i386 libsasl2-modules-ldap:i386
  libsasl2-modules-sql:i386 libsasl2-modules-gssapi-mit:i386
  libsasl2-modules-gssapi-heimdal:i386 sg3-utils speex:i386 floppyd
  python-gobject-2-dbg libcanberra-gtk0 kde-runtime xfsprogs reiserfsprogs
  mdadm mesa-utils
Recommended packages:
  libglib2.0-data:i386 shared-mime-info:i386 libgphoto2-l10n:i386
  hicolor-icon-theme:i386 libgtk2.0-bin:i386 x-ttcidfont-conf:i386
  xml-core:i386
The following NEW packages will be installed:
  acl bluez bluez-alsa:i386 boinc-client consolekit cryptsetup-bin dbus-x11
  dconf-gsettings-backend dconf-service defoma esound-common gcc-4.6-base:i386
  gconf-service gconf2 gconf2-common glib-networking glib-networking:i386
  glib-networking-common glib-networking-services gsettings-desktop-schemas
  gstreamer0.10-fluendo-mp3:i386 gstreamer0.10-plugins-base:i386
  gstreamer0.10-plugins-good:i386 gstreamer0.10-x:i386 gtk2-engines:i386
  gtk2-engines-murrine:i386 gtk2-engines-oxygen:i386 gtk2-engines-pixbuf:i386
  gvfs gvfs:i386 gvfs-common gvfs-daemons gvfs-libs gvfs-libs:i386
  hicolor-icon-theme ia32-libs ia32-libs-multiarch:i386 ibus-gtk:i386
  libaa1:i386 libacl1:i386 libaio1:i386 libao-common libao4:i386
  libasn1-8-heimdal:i386 libasound2:i386 libasound2-plugins:i386
  libasyncns0:i386 libatasmart4 libatk1.0-0 libatk1.0-0:i386 libatk1.0-data
  libattr1:i386 libaudio2:i386 libaudiofile1:i386 libavahi-client3:i386
  libavahi-common-data:i386 libavahi-common3:i386 libavc1394-0:i386
  libbz2-1.0:i386 libc6:i386 libcaca0:i386 libcairo-gobject2
  libcairo-gobject2:i386 libcairo2 libcairo2:i386 libcanberra-gtk-module:i386
  libcanberra-gtk0:i386 libcanberra0:i386 libcap2:i386 libcapi20-3:i386
  libcdparanoia0:i386 libck-connector0 libcomerr2:i386 libcroco3:i386
  libcryptsetup4 libcups2:i386 libcupsimage2:i386 libcurl3:i386 libdatrie1
  libdatrie1:i386 libdb5.1:i386 libdbus-1-3:i386 libdbus-glib-1-2:i386
  libdconf0 libdrm-intel1:i386 libdrm-nouveau1a:i386 libdrm-radeon1:i386
  libdrm2:i386 libdv4:i386 libesd0:i386 libexif12:i386 libexpat1:i386
  libffi6:i386 libflac8:i386 libfontconfig1:i386 libfontenc1 libfreetype6:i386
  libgail-common:i386 libgail18:i386 libgcc1:i386 libgconf-2-4
  libgcrypt11:i386 libgd2-xpm:i386 libgdbm3:i386 libgdk-pixbuf2.0-0
  libgdk-pixbuf2.0-0:i386 libgdk-pixbuf2.0-common libgdu0 libgettextpo0:i386
  libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386
  libglib2.0-0:i386 libglib2.0-data libglu1-mesa:i386 libgnome-keyring-common
  libgnome-keyring0 libgnome-keyring0:i386 libgnutls26:i386 libgomp1:i386
  libgpg-error0:i386 libgphoto2-2:i386 libgphoto2-l10n libgphoto2-port0:i386
  libgpm2:i386 libgssapi-krb5-2:i386 libgssapi3-heimdal:i386
  libgstreamer-plugins-base0.10-0:i386 libgstreamer0.10-0:i386 libgtk-3-0
  libgtk-3-bin libgtk-3-common libgtk2.0-0 libgtk2.0-0:i386 libgtk2.0-bin
  libgtk2.0-common libgudev-1.0-0 libgudev-1.0-0:i386 libhcrypto4-heimdal:i386
  libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhx509-5-heimdal:i386
  libibus-1.0-0:i386 libice6:i386 libidn11:i386 libiec61883-0:i386
  libieee1284-3:i386 libjack-jackd2-0:i386 libjasper1 libjasper1:i386
  libjpeg-turbo8:i386 libjpeg8:i386 libjson0:i386 libk5crypto3:i386
  libkeyutils1:i386 libkrb5-26-heimdal:i386 libkrb5-3:i386
  libkrb5support0:i386 liblcms1:i386 libldap-2.4-2:i386 libllvm3.0:i386
  libltdl7 libltdl7:i386 liblvm2app2.2 libmad0:i386 libmikmod2:i386
  libmng1:i386 libmpg123-0:i386 libmysqlclient18:i386 libncurses5:i386
  libncursesw5:i386 libnspr4:i386 libnss3:i386 libodbc1:i386 libogg0:i386
  liboil0.3:i386 libopenal-data libopenal1:i386 liborc-0.4-0:i386
  libp11-kit0:i386 libpam-ck-connector libpango1.0-0 libpango1.0-0:i386
  libpciaccess0:i386 libpcre3:i386 libpixman-1-0 libpixman-1-0:i386
  libpng12-0:i386 libpolkit-agent-1-0 libpolkit-backend-1-0 libproxy1
  libproxy1:i386 libpulse-mainloop-glib0:i386 libpulse0:i386 libpulsedsp:i386
  libqt4-dbus:i386 libqt4-declarative:i386 libqt4-designer:i386
  libqt4-network:i386 libqt4-opengl:i386 libqt4-qt3support:i386
  libqt4-script:i386 libqt4-scripttools:i386 libqt4-sql:i386
  libqt4-sql-mysql:i386 libqt4-svg:i386 libqt4-test:i386 libqt4-xml:i386
  libqt4-xmlpatterns:i386 libqtcore4:i386 libqtgui4:i386 libqtwebkit4:i386
  libraw1394-11:i386 libroken18-heimdal:i386 librsvg2-2:i386
  librsvg2-common:i386 librtmp0:i386 libsamplerate0:i386 libsane:i386
  libsane-common libsasl2-2:i386 libsasl2-modules:i386 libsdl-image1.2:i386
  libsdl-mixer1.2:i386 libsdl-net1.2:i386 libsdl-ttf2.0-0:i386
  libsdl1.2debian:i386 libselinux1:i386 libsgutils2-2 libshout3:i386
  libslang2:i386 libsm6:i386 libsndfile1:i386 libsoup-gnome2.4-1:i386
  libsoup2.4-1:i386 libspeex1:i386 libspeexdsp1:i386 libsqlite3-0:i386
  libssl0.9.8:i386 libssl1.0.0:i386 libstdc++5:i386 libstdc++6:i386
  libtag1-vanilla:i386 libtag1c2a:i386 libtasn1-3:i386 libtdb1:i386
  libthai-data libthai0 libthai0:i386 libtheora0:i386 libtiff4:i386
  libtinfo5:i386 libudev0:i386 libunistring0:i386 libusb-0.1-4:i386
  libuuid1:i386 libv4l-0:i386 libv4lconvert0:i386 libvisual-0.4-0:i386
  libvisual-0.4-plugins:i386 libvorbis0a:i386 libvorbisenc2:i386
  libvorbisfile3:i386 libwavpack1:i386 libwind0-heimdal:i386 libwrap0:i386
  libx11-6:i386 libx11-xcb1:i386 libxau6:i386 libxaw7 libxaw7:i386
  libxcb-glx0:i386 libxcb-render0 libxcb-render0:i386 libxcb-shape0
  libxcb-shm0 libxcb-shm0:i386 libxcb1:i386 libxcomposite1 libxcomposite1:i386
  libxcursor1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386
  libxfixes3:i386 libxfont1 libxft2 libxft2:i386 libxi6:i386 libxinerama1:i386
  libxml2:i386 libxmu6:i386 libxp6:i386 libxpm4 libxpm4:i386 libxrandr2
  libxrandr2:i386 libxrender1:i386 libxslt1.1:i386 libxss1 libxss1:i386
  libxt6:i386 libxtst6 libxv1 libxv1:i386 libxxf86dga1 libxxf86vm1:i386 mtools
  ntfsprogs odbcinst odbcinst1debian2 odbcinst1debian2:i386 oss-compat
  policykit-1 policykit-1-gnome python-gobject python-gobject-2
  shared-mime-info sound-theme-freedesktop udisks x-ttcidfont-conf x11-utils
  xaw3dg:i386 xfonts-encodings xfonts-utils zlib1g:i386
0 upgraded, 326 newly installed, 0 to remove and 0 not upgraded.
Need to get 92.5 MB of archives.
After this operation, 294 MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.

This is hilarious, indeed. No idea what is going on at the moment. What is it like when you run
apt-get install --no-install-recommends boinc-client ?
And what does
apt-get install --no-install-recommends boinc-manager
say?

Anyway, I do not see any link to ntfsprogs or odbcinst either way. What if you install something very different, like git or so.
Or gitk ? Do you see such a swarm of packages, too?

Cheers,

Steffen

Dave (xclusive585) wrote :

I noticed the crazy amount of recommended packages started right after
12.04 was released.. it was not like that previously hilarious indeed.
On Jul 8, 2012 2:01 PM, "Steffen Möller" <email address hidden> wrote:

> This is hilarious, indeed. No idea what is going on at the moment. What is
> it like when you run
> apt-get install --no-install-recommends boinc-client ?
> And what does
> apt-get install --no-install-recommends boinc-manager
> say?
>
> Anyway, I do not see any link to ntfsprogs or odbcinst either way. What if
> you install something very different, like git or so.
> Or gitk ? Do you see such a swarm of packages, too?
>
> Cheers,
>
> Steffen
>
> --
> You received this bug notification because you are a member of Debian
> BOINC Maintainers, which is subscribed to boinc in Ubuntu.
> https://bugs.launchpad.net/bugs/1022232
>
> Title:
> installing boinc-client requires too much dependencies
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/1022232/+subscriptions
>
> --
> pkg-boinc-devel mailing list
> <email address hidden>
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-boinc-devel
>

Ace Suares (acesuares) wrote :

I think boinc-manager may need some more graphic stuff, since it needs X, but boinc-client is all commandline stuff.
The original poster put is as a question on launchpad, I made it a bug.
I am 100% sure other packages like git do not install so much nonsense.
I am 100% sure that a command-line only package doesnt' require so much libs.

Cheers

Changed in boinc (Ubuntu):
status: New → Confirmed

On 07/09/2012 01:49 PM, Ace Suares wrote:
> I think boinc-manager may need some more graphic stuff, since it needs X, but boinc-client is all commandline stuff.
Except for the idle detection, for which the boinc-client needs a particular X library - xss, if I am not erroneous. This was the
original request quite some time back.

> The original poster put is as a question on launchpad, I made it a bug.
> I am 100% sure other packages like git do not install so much nonsense.
> I am 100% sure that a command-line only package doesnt' require so much libs.
I agree that it is too much that is drawn with it. I am not sure for the moment if this is truly the fault of the boinc-client,
which only depends on
 ${shlibs:Depends}, ${misc:Depends},
 libboinc (= ${binary:Version}),
 python (>= 2.3),
 adduser,
 ca-certificates
not truly recalling why it depends on python, actually, and the boinc-library depends on
 ${shlibs:Depends}, ${misc:Depends}
which seems reasonable to me.

Now, in the real world, this ${shlibs:Depends} are becoming where the symbols in the binaries of those packages depend on, which is
  http://packages.debian.org/sid/boinc-client (and not so bad)

So, from my side I tend to think this bug to be ubuntu-specific or due to some dependency to have become crazy. Hence my initial
suggestion to investigate what might happen when only the true dependencies and not the recommended packages are inspected.

Steffen

Ace Suares (acesuares) wrote :
Download full text (5.7 KiB)

removing bloinc-client removes surplus packages:

apt-get remove boinc-client
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libopenal1:i386 libpolkit-backend-1-0 sound-theme-freedesktop bluez-alsa:i386 libsdl-ttf2.0-0:i386 libkrb5-3:i386 libgconf-2-4 libgconf-2-4:i386 libatk1.0-0 libatk1.0-0:i386
  libk5crypto3:i386 gconf2-common libgtk2.0-common libstdc++5:i386 libstdc++6:i386 libxfixes3 libxfixes3:i386 ia32-libs-multiarch:i386 libqt4-declarative:i386
  hicolor-icon-theme libxcomposite1 libxcomposite1:i386 cryptsetup-bin libgail18:i386 libldap-2.4-2:i386 libgphoto2-l10n libao-common libv4l-0:i386 liblcms1:i386
  libqt4-qt3support:i386 libroken18-heimdal:i386 libunistring0:i386 libcupsimage2:i386 libgphoto2-port0:i386 libidn11:i386 libnss3:i386 libwrap0:i386 libxxf86dga1
  libcaca0:i386 gtk2-engines:i386 libgudev-1.0-0 libgudev-1.0-0:i386 libsamplerate0:i386 dconf-gsettings-backend libjpeg-turbo8 libjpeg-turbo8:i386 libcdparanoia0:i386
  libcairo-gobject2 libcairo-gobject2:i386 libavc1394-0:i386 libjpeg8 libjpeg8:i386 libatk1.0-data libsgutils2-2 qdbus x11-utils glib-networking-common ttf-dejavu-core
  ia32-libs libaio1:i386 libsane:i386 udisks odbcinst1debian2 odbcinst1debian2:i386 libqt4-test:i386 libqt4-script:i386 libqt4-designer:i386 libsdl-mixer1.2:i386
  libqt4-network:i386 libqt4-dbus libqt4-dbus:i386 libxxf86vm1 libxxf86vm1:i386 libcap2:i386 libproxy1 libproxy1:i386 ibus-gtk:i386 libdbus-glib-1-2:i386 libgl1-mesa-dri
  libgl1-mesa-dri:i386 libtdb1:i386 libxcb-glx0 libxcb-glx0:i386 libasn1-8-heimdal:i386 libgl1-mesa-glx libgl1-mesa-glx:i386 libspeex1:i386 gvfs-libs gvfs-libs:i386 gconf2
  libjack-jackd2-0:i386 libxslt1.1:i386 libgomp1:i386 libcapi20-3:i386 libibus-1.0-0:i386 libcairo2 libcairo2:i386 libx11-xcb1 libx11-xcb1:i386 libgnutls26:i386 libglapi-mesa
  libglapi-mesa:i386 libopenal-data policykit-1 gvfs-common odbcinst libgssapi3-heimdal:i386 libvisual-0.4-0:i386 bluez libcanberra-gtk-module:i386 libpam-ck-connector
  libcanberra0:i386 libtasn1-3:i386 libfreetype6:i386 libthai-data gtk2-engines-murrine:i386 libwavpack1:i386 libqt4-opengl:i386 libsoup-gnome2.4-1:i386 libmysqlclient18:i386
  libexpat1:i386 libv4lconvert0:i386 gstreamer0.10-plugins-good:i386 libqt4-xmlpatterns:i386 librsvg2-common:i386 libdatrie1 libdatrie1:i386 fontconfig libavahi-common-data
  libavahi-common-data:i386 libck-connector0 libiec61883-0:i386 libjson0:i386 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-0:i386 libsdl-image1.2:i386 libxcb1:i386 libgtk-3-bin
  libp11-kit0:i386 libwind0-heimdal:i386 libxau6:i386 libpixman-1-0 libpixman-1-0:i386 libsdl1.2debian:i386 libxaw7 libxaw7:i386 libgdbm3:i386 libcups2 libcups2:i386 libgdu0
  libcurl3 libcurl3:i386 libqtcore4 libqtcore4:i386 libxinerama1 libxinerama1:i386 libesd0:i386 libmikmod2:i386 libkrb5support0:i386 oss-compat libgtk-3-0 libxft2 libxft2:i386
  fontconfig-config libcroco3:i386 libpulse-mainloop-glib0:i386 libtheora0:i386 libice6 libice6:i386 libaa1:i386 libspeexdsp1:i386 libxdmcp6:i386 libieee1284-3:i386
  libgcrypt11:i386 libthai0 libthai0:i386 libxml2:i386 libao4:i386 libke...

Read more...

Ace Suares (acesuares) wrote :

And --no-install-recommends does this:

apt-get install --no-install-recommends boinc-client
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libcurl3 libxss1 x11-common
Suggested packages:
  boinc-app-seti boinc-manager x11-xserver-utils libcuda1 libcuda1-ia32
Recommended packages:
  ia32-libs
The following NEW packages will be installed:
  boinc-client libcurl3 libxss1 x11-common
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/868 kB of archives.
After this operation, 2,828 kB of additional disk space will be used.
Do you want to continue [Y/n]?
Preconfiguring packages ...
Selecting previously unselected package libcurl3.
(Reading database ... 30303 files and directories currently installed.)
Unpacking libcurl3 (from .../libcurl3_7.22.0-3ubuntu4_amd64.deb) ...
Selecting previously unselected package x11-common.
Unpacking x11-common (from .../x11-common_1%3a7.6+12ubuntu1_all.deb) ...
Selecting previously unselected package libxss1.
Unpacking libxss1 (from .../libxss1_1%3a1.2.1-2_amd64.deb) ...
Selecting previously unselected package boinc-client.
Unpacking boinc-client (from .../boinc-client_7.0.24+dfsg-1_amd64.deb) ...
Processing triggers for ureadahead ...
Processing triggers for man-db ...
Setting up libcurl3 (7.22.0-3ubuntu4) ...
Setting up x11-common (1:7.6+12ubuntu1) ...
Setting up libxss1 (1:1.2.1-2) ...
Setting up boinc-client (7.0.24+dfsg-1) ...
update-rc.d: warning: boinc-client start runlevel arguments (2 3 4 5) do not match LSB Default-Start values (4 5)
update-rc.d: warning: boinc-client stop runlevel arguments (0 1 6) do not match LSB Default-Stop values (0 1 2 3 6)
 * Starting BOINC core client: boinc [ OK ]
 * Setting up scheduling for BOINC core client and children: [ OK ]
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place

So, much better.

Daniel Hahler (blueyed) wrote :

JFI: without having looked deeper into this issue, you could use "aptitude why $package" to see why it is being installed / pulled in. Maybe that helps to debug this.

Changed in boinc (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium

Could you please try boinc from my ppa [1]?

[1] https://code.launchpad.net/~costamagnagianfranco/+archive/boinc

This problem is fixed in my ppa
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in boinc (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for boinc (Ubuntu) because there has been no activity for 60 days.]

Changed in boinc (Ubuntu):
status: Incomplete → Expired
dah bien-hwa (dahbien-hwa) wrote :

This is still happening!

Is this happening in my ppa?

could you please tell me your boinc version, ubuntu version and if you are on i386 or amd64?

I'll try to reproduce in a vm, I cannot reproduce on ubuntu 12.04 x64
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in boinc (Ubuntu):
status: Expired → Confirmed

But to be honest I don't think this is a boinc bug, somehow in an external dependence

Hi !

Seems related to ia32-libs package dependencies.

ia32-libs are only in recommend field

Ken Sharp (kennybobs) wrote :

Has this been fixed? My recommends are tiny in comparison on a Precise server.

Dougga (doug-ravennasprings) wrote :

This has not been fixed in 12.04.2 as of 27 March 2013.
New install of Ubuntu LTS and boinc-client creates a mess.

Dougga (doug-ravennasprings) wrote :

Thinking about this a bit more. I believe I will be telling my network to stay away from boinc.
The quality of the development process has deteriorated. This clearly wasn't tested and now machines all over the planet are burdened with millions of lines of needless code.

The development process has NOT deteriorated.

Unfortunately upstream doesn't release any newer release as stable, so now I/WE cannot ask for a backport of a package, and fixing bugs for an older release is just a waste of time (I'm actively fixing bugs in the development release)

please let me know if you have the same problem with my ppa
https://launchpad.net/~costamagnagianfranco/+archive/locutusofborg-ppa

MestreLion (mestrelion) wrote :
Download full text (12.0 KiB)

The culprit is indeed ia32-libs, good eye @Guillaume !

On a relatively fresh Ubuntu 12.04 Desktop, "sudo apt-get install ia32-libs" alone pulls 242 packages worth of 244MB installed space. A monster indeed.

While boinc without recommends shows a much nicer picture: 6 packages worth less than 18MB. And that can not be called "burdened with millions of lines of needless code", @Dougga.

So a simple workaround for this bug is to install using "--no-install-recommends". Problem solved for you.

Also, worth noting that ia32-libs is *not* "needless code": they are the 32-bit counterpart of most of your system libs, and they are required by many other packages, for example wine and skype. Many users happen to already have ia32-libs in their system, or might end up installing it in the future, and the first package that pulls it take the blame for being "bloated".

On the long term, could boinc remove such recommendation, or at least "downgrade" it to suggestion? Are there any 32-bit-only projects that require it?

Log files, for the record:

rodrigo@vb-ubuntu1204 ~ $ sudo apt-get --no-install-recommends install boinc
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  boinc-client boinc-manager libwxbase2.8-0 libwxgtk2.8-0 libxss1
Suggested packages:
  boinc-app-seti libcuda1 libcuda1-ia32 libgnomeprintui2.2-0
Recommended packages:
  ia32-libs ia32-libs-gtk
The following NEW packages will be installed:
  boinc boinc-client boinc-manager libwxbase2.8-0 libwxgtk2.8-0 libxss1
0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
Need to get 5,854 kB of archives.
After this operation, 17.9 MB of additional disk space will be used.
Do you want to continue [Y/n]?

rodrigo@vb-ubuntu1204 ~ $ sudo apt-get install ia32-libs
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  bluez-alsa:i386 esound-common gcc-4.6-base:i386 glib-networking:i386
  gstreamer0.10-plugins-base:i386 gstreamer0.10-plugins-good:i386
  gstreamer0.10-x:i386 gtk2-engines:i386 gtk2-engines-murrine:i386
  gtk2-engines-oxygen:i386 gtk2-engines-pixbuf:i386 gvfs:i386 gvfs-libs:i386
  ia32-libs-multiarch:i386 ibus-gtk:i386 libaa1:i386 libacl1:i386 libaio1:i386
  libao-common libao4:i386 libasn1-8-heimdal:i386 libasound2:i386
  libasound2-plugins:i386 libasyncns0:i386 libatk1.0-0:i386 libattr1:i386
  libaudio2:i386 libaudiofile1:i386 libavahi-client3:i386
  libavahi-common-data:i386 libavahi-common3:i386 libavc1394-0:i386
  libbz2-1.0:i386 libc6:i386 libcaca0:i386 libcairo-gobject2:i386
  libcairo2:i386 libcanberra-gtk-module:i386 libcanberra-gtk0:i386
  libcanberra0:i386 libcap2:i386 libcapi20-3:i386 libcdparanoia0:i386
  libcomerr2:i386 libcroco3:i386 libcups2:i386 libcupsimage2:i386
  libcurl3:i386 libdatrie1:i386 libdb5.1:i386 libdbus-1-3:i386
  libdbus-glib-1-2:i386 libdrm-intel1:i386 libdrm-nouveau1a:i386
  libdrm-radeon1:i386 libdrm2:i386 libdv4:i386 libesd0:i386 libexif12:i386
  libexpat1:i386 libffi6:i386 libflac8:i386 libfontconfig1:i386
  libfreetype6:i386 libgail-common:i386 lib...

MestreLion (mestrelion) wrote :

@Dougga: also worth noticing that this only affects 64-bit versions of Ubuntu, since the 32 ones already have all the 32-bits libs

Unfortunately the x86 part of boinc is really hard coded, even if you have 64bit machine you will download many x86 apps, so this won't likely change anytime soon, unless somebody proves to me that every upstream project has a 64bit native application.

At the moment, without the ia32libs you won't be able to crunch at many projects, and this isn't an acceptable behavior.

So this bug for now is "won't fix".

Please look at client/cs_platforms.cpp file
http://boinc.berkeley.edu/gitweb/?p=boinc-v2.git;a=blob;f=client/cs_platforms.cpp;h=1312aa0cd98afc608b3835a31b720416e051bdd6;hb=HEAD

If somebody points to me that every projects can crunch in a 64 bit environment I'll be glad to remove this dependency.
Otherwise we will have many reports about "cannot crunch on project x"

MestreLion (mestrelion) wrote :

Good point... sure, some projects might not have all (or any) of its applications available in x64 for linux. And I just found out after a little research that, surprisingly, this is very common in Windows, where SETI@Home and Einstein@Home for example, lacks 64-bit support for most of their apps.

But if one doesn't bother to crunch only for projects (and apps) that offer x64 linux, then I guess there is no harm in installing boinc with --no-install-recommends, correct?

And of course, if one wants to crunch 32-bit, they gotta have 32-bit libs. Fair enough.

Yeah this is why 32 libs are only recommended.
S@h is plannyng to release a native 64 bit application, at this moment should be available in seti@home beta website.

I'm inclined to close this as fix-released, since ia32libs have been dropped in saucy+ releases

Changed in boinc (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions